> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Offramp Quote

> Get a quote to offramp crypto to fiat. This does not affect your Bullring balance.



## OpenAPI

````yaml /api-reference/openapi.json post /v2/ramp/{subaccountId}/banking/offramp/quote
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v2/ramp/{subaccountId}/banking/offramp/quote:
    post:
      tags:
        - Offramp
      summary: Get Offramp Quote
      description: >-
        Get a quote to offramp crypto to fiat. This does not affect your
        Bullring balance.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: object
                  properties:
                    asset:
                      type: string
                      description: The crypto asset to offramp
                      enum:
                        - STABLE_SATS
                        - USDC
                        - USDT
                    chain:
                      type: string
                      enum:
                        - lightning
                        - SOL-DEVNET
                        - ETH-SEPOLIA
                        - ETH
                        - MATIC
                        - SOL
                      description: |2-
                         **Production:** `lightning`, `ETH`, `SOL`.

                        **Staging:** `lightning`, `SOL-DEVNET`, `ETH-SEPOLIA`.
                    amount:
                      type: number
                      description: >-
                        The amount of crypto to offramp. if provided, the quote
                        will be based on the provided amount. if provided,
                        to.amount should not be provided.
                  required:
                    - asset
                    - chain
                to:
                  type: object
                  properties:
                    amount:
                      type: number
                      description: >-
                        The fiat amount to determine the quote.  if provided,
                        the quote will be based on the provided amount. if
                        provided, from.amount should not be provided.
                    currency:
                      type: string
                      description: The fiat currency for the quote
                  required:
                    - currency
              required:
                - from
                - to
            example:
              from:
                asset: USDC
                chain: ETH-SEPOLIA
              to:
                amount: 100
                currency: BRL
      responses:
        '200':
          description: Quote retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: offramp
                  from:
                    type: object
                    properties:
                      amount:
                        type: string
                      asset:
                        type: string
                      network:
                        type: string
                  to:
                    type: object
                    properties:
                      currency:
                        type: string
                      gross_amount:
                        type: string
                      net_amount:
                        type: string
                      recipient_id:
                        type: string
                        format: uuid
                  pricing:
                    type: object
                    properties:
                      fx_rate:
                        type: string
                      fees:
                        type: object
                        properties:
                          offramp_fee:
                            type: string
                          offramp_fee_currency:
                            type: string
              example:
                type: offramp
                from:
                  amount: '1.9314250621947842'
                  asset: USDC
                  network: CELO-SEPOLIA
                to:
                  currency: brl
                  gross_amount: '10'
                  net_amount: '9.96'
                  recipient_id: 540bbfd8-9bd6-4098-835b-840b63785597
                pricing:
                  fx_rate: '5.1775242'
                  fees:
                    offramp_fee: '0.04'
                    offramp_fee_currency: brl
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````